#include <bits/stdc++.h>
#define ll long long
#define mod 1000000007

using namespace std;

ll a[1000010];
ll b[1000010] = {0};

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    ll n, br, rez=0;
    string s;
    cin >> n >> s;
    for(ll i=0;i<n;i++)
    {
        a[i]=(ll)s[i];
    }
    for(ll i=0;i<n;i++)
    {
        if(a[i]==65)
        {
            b[i]++;
        }
    }
    for(ll i=66;i<=90;i++)
    {
        br=0;
        for(ll j=0;j<n;j++)
        {
            if(a[j]==i-1) br += b[j];
            if(br>=mod) br%=mod;
            else if(a[j]==i) b[j]+=br;
            if(b[j]>=mod) b[j]%=mod;
        }
    }
    for(ll i=0;i<n;i++)
    {
        if(a[i]==90) rez+=b[i];
        if(rez>=mod) rez%=mod;
    }
    cout << rez;
    return 0;
}